#COMPILE EXE
#DIM ALL PBMAIN() AS LONG
    LOCAL v AS LONG
    ! mov eax, 10
    ! cmp eax, 10
    ! je equal
    ! mov eax, 0
    ! jmp done
    equal:
    ! mov eax, 42
    done:
    ! mov v, eax

    FUNCTION = 0 FUNCTION
